Skip to main content
GET
https://api.dintero.com/v1
/
accounts
/
{aid}
/
management
/
settings
/
approvals
/
payout-destinations
List seller approvals
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/management/settings/approvals/payout-destinations \
  --header 'Authorization: Bearer <token>'
{
  "payout_destinations": [
    {
      "payout_destination_id": "<string>",
      "payout_reference": "<string>",
      "bank_accounts": [
        {
          "bank_account_currency": "NOK",
          "payout_currency": "NOK",
          "bank_name": "<string>",
          "bank_account_number": "<string>",
          "bank_account_number_type": "IBAN",
          "bank_account_country_code": "<string>",
          "bank_identification_code": "DNBANOKKXXX"
        }
      ],
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "deleted_at": "2023-11-07T05:31:56Z",
      "language": "en",
      "payout_destination_name": "<string>",
      "payout_destination_description": "<string>",
      "type": "company",
      "country_code": "<string>",
      "organization_number": "<string>",
      "individual": {
        "name": "<string>",
        "birth_date": "2023-12-25",
        "phone_number": "<string>",
        "email": "jsmith@example.com",
        "address_line": "Sommerkroveien 34",
        "address_line_2": "PB 123",
        "address_postal_code": "0349",
        "address_city": "Oslo",
        "address_country": "NO"
      },
      "payout_interval_type": "daily",
      "form_submitter": {
        "email": "jsmith@example.com",
        "name": "<string>",
        "title": "<string>"
      },
      "settlement_report_configuration": {
        "emails": [
          "jsmith@example.com"
        ]
      },
      "report_configuration": {
        "create_report_configuration": true,
        "email": "jsmith@example.com",
        "schedule": "daily",
        "reference": "<string>",
        "content_types": [
          "application/pdf"
        ]
      },
      "case_status": "ACTIVE",
      "links": [
        {
          "href": "<string>",
          "rel": "contract_url"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

payout_destination_id
string

filter CDDs by payout_destination_id

case_status
enum<string>[]

filter CDDs by status

Available options:
ACTIVE,
DECLINED,
UNDER_MANUAL_REVIEW,
AUTOMATIC_REVIEW,
WAITING_FOR_SIGNATURE,
WAITING_FOR_DECLARATION,
ERROR,
ARCHIVED,
WAITING_FOR_DETAILS,
TERMINATED

Response

List of ApprovalsPayoutDestinationResponse objects

payout_destinations
object[]